Mozilla fixed high-severity bugs in Firefox and Thunderbird mail client

Mozilla released security updates for the Firefox browser and Thunderbird mail client to address multiple vulnerabilities.

Mozilla released security updates to address multiple vulnerabilities in the Firefox browser and Thunderbird mail client. The company addressed 13 vulnerabilities in the Firefox browser with the release of Firefox 95, including six high-severity flaws.

The most severe of these flaws can allow an attacker to execute arbitrary code within the context of the vulnerable application, which could potentially lead to full system compromise.

Firefox fixed an URL leakage when navigating while executing asynchronous function tracked as CVE-2021-43536.

“Under certain circumstances, asynchronous functions could have caused a navigation to fail but expose the target URL.” reads the advisory published by Mozilla.

Another bug fixed with the latest release is a missing fullscreen and pointer lock notification when requesting both (CVE-2021-43538). An attacker can misuse a race in the notification code, to forcefully hide the notification for pages that had received full screen and pointer lock access, which can be exploited for spoofing attacks.

Another vulnerability addressed by Mozilla is a GC rooting failure when calling wasm instance methods tracked as CVE-2021-43539. Other high severity issues patched by the company affect Firefox, Firefox ESR and Thunderbird.

Mozilla also fixed memory safety bugs in Firefox 95 and Firefox ESR 91.4 that could lead to arbitrary code execution.

“Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could have been exploited to run arbitrary code.” states the advisory.

US Cybersecurity and Infrastructure Security Agency (CISA) issued an advisory to urge organizations to apply the security patches.

“Mozilla has released security updates to address vulnerabilities in Firefox, Firefox ESR, and Thunderbird. An attacker could exploit some of these vulnerabilities to take control of an affected system. CISA encourages users and administrators to review the Mozilla security advisories for Firefox 95Firefox ESR 91.4.0, and Thunderbird 91.4.0 and apply the necessary updates.” reads the advisory published by CISA.

Follow me on Twitter: @securityaffairs and Facebook

Pierluigi Paganini

(SecurityAffairs – hacking, Mozilla)

The post Mozilla fixed high-severity bugs in Firefox and Thunderbird mail client appeared first on Security Affairs.

Recent Posts
Contact Us

We're not around right now. But you can send us an email and we'll get back to you, asap.

Not readable? Change text. captcha txt